Skip to main content
POST
/
projects
/
{projectId}
/
annotations
Create Annotations
curl --request POST \
  --url https://{regionAndDomain}.com/api/app/projects/{projectId}/annotations \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "date": "2022-02-15 12:00:00",
  "description": "Something interesting happened!",
  "tags": [
    123
  ]
}
'
{
  "status": "ok",
  "results": {
    "date": "2022-02-15 12:00:00",
    "description": "Something interesting happened!",
    "id": 123,
    "user": {
      "id": 123,
      "first_name": "John",
      "last_name": "Smith"
    },
    "tags": [
      {
        "id": 123,
        "name": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Service Account

Path Parameters

projectId
integer
required

Your project id (eg: 12345)

Body

application/json
date
string

A string representation of a date in "YYYY-MM-DD HH:mm:ss" format

Example:

"2022-02-15 12:00:00"

description
string

The text that will be shown when looking at the annotation

Example:

"Something interesting happened!"

tags
number[]

The ids of the tags to be added to the annotation

Response

Success

A JSON response object containing an annotation'

status
string
required

The status of the response

Example:

"ok"

results
AnnotationsEntry · object
required

Representation of a single annotation